/**
 * Created by cyril on 07/09/15.
 */



'use strict';


//Make sure jQuery has been loaded before app.js
if (typeof jQuery === "undefined") {
    throw new Error("The console script requires jQuery");
}

$( "#sidebar" ).load( "/lavoisier/sidebar?accept=html");

    $('span[rel="popover"]').popover({
            container: 'body',
            html: true

    }    );

$('span[rel="popover"]').css("max-width", "500px");


$('.dataTable').DataTable({
});

$('#dataTableJs').DataTable({
    "order": [[1, "asc"]],
    "paging": false
});


$('#dataProperties').DataTable({
    "order": [[0, "asc"]],
    "paging": false
});



$(".buttonFilter").click(function () {
    $('#dataTableJs').dataTable().fnFilter($(this).val());
});




$("#notifyMultiple").click(function () {
    var url;
    $(".checkBoxes").each(function( index ) {
        if(this.checked) {
            url = '/notify/' + $(this).val();
            window.open(url, 'Notify the view', 'menubar=no, scrollbars=no, top=100, left=100, width=300, height=200');
        }
    });

});



$(".checkBoxes").change(function () {

    var cpt=0;
    $(".checkBoxes").each(function( index ) {
        if (this.checked)
            cpt = cpt + 1;
    });
    if (cpt)
        $("#notifyMultiple").show();
    else
        $("#notifyMultiple").hide();
});

$(".dataTableStyle").dataTable( {
    paging: false,
    "columnDefs": [
        { "width": "200px", "targets": 0 },
        { "width": "100px", "targets": 1 },
        { "width": "200px", "targets": 2 },
        { "width": "90px", "targets": 3 },
        { "width": "90px", "targets": 4 },
        { "width": "90px", "targets": 5 },
        { "width": "190px", "targets": 6 }
    ]
} );

$(".dataTableStyle2").dataTable({
    paging:false,
    filter:false
});



